from dataclasses import dataclass
from typing_extensions import Self

from core.domain.worker.WorkerState import WorkerState
from core.domain.worker.WorkerType import WorkerType
from core.types.Id import Id



@dataclass
class Worker:
	ip: str
	type: WorkerType
	state: WorkerState
	id: Id[Self] = Id.field()

	@property
	def name(self):
		return f"{self.type.value}-{self.ip}"
