from dataclasses import dataclass
from typing_extensions import Self

from core.domain.optimization.Optimization import Optimization
from core.domain.optimization.OptimizationState import OptimizationState
from core.domain.worker.Worker import Worker
from core.types.Id import Id


@dataclass
class WorkerJob:
	workerId: Id[Worker]
	optimizationId: Id[Optimization]
	name: str
	state: OptimizationState
	id: Id[Self] = Id.field()
