import datetime
from dataclasses import dataclass, field
from typing import Any
from typing_extensions import Self

from core.domain.worker.WorkerLogLevel import WorkerLogLevel
from core.types.Id import Id


@dataclass
class WorkerLog:
	context: str
	data: str
	ownerId: Id[Any]
	level: WorkerLogLevel
	createdAt: float = field(default_factory=lambda: datetime.datetime.now().timestamp())

	id: Id[Self] = Id.field()
