import tempfile
from pathlib import Path

from core.Env import Env


def getPath(_file_, *path) -> Path:
	return Path(_file_).parent.joinpath(*path).resolve()


def getTempPath(*path) -> Path:
	return Path(tempfile.gettempdir()).joinpath(*path)


def getWorkerPath(*path) -> Path:
	return Path(Env.FTP_PATH, "..", "worker", *path).resolve()


def getUpdaterPath(*path) -> Path:
	return Path(Env.FTP_PATH, "..", "updater", *path).resolve()


def getFtpPath(*path) -> Path:
	return Path(Env.FTP_PATH, *path).resolve()

def getFtpPaths(*path, glob='**/*') -> list[Path]:
	p = Path(Env.FTP_PATH, *path).glob(glob)
	return [x for x in p if x.is_file()]

def getFtpGpsPath(*path) -> Path:
	return Path(Env.FTP_PATH, "gps", *path).resolve()
