import logging
from dataclasses import dataclass

from core.domain.worker.WorkerJob import WorkerJob
from core.repos.WorkerJobStatusRepo import WorkerJobStatusRepo
from core.services.SystemService import SystemService
from core.types.Id import Id

log = logging.getLogger(__name__)


@dataclass
class Log_worker_job_status:
	workerJobStatusRepo: WorkerJobStatusRepo
	systemService: SystemService

	def now(self, id: Id[WorkerJob]):
		self.workerJobStatusRepo.post(
			workerJobId=id,
			ramTaken=self.systemService.getProcessRam(),
			cpuUtilization=self.systemService.getProcessCpu(),
		)
