import unittest

from app.App import App
from core.domain.optimization.OptimizationState import OptimizationState


class test_OptimizationRepo(unittest.TestCase):

	@classmethod
	def setUpClass(cls):
		App.init()

	def test_all(self):
		optimizations = App.repos.optimizationRepo.getAll()
		self.assertGreater(len(optimizations), 0)

		optimization = App.repos.optimizationRepo.get(id=optimizations[0].id)
		self.assertIn(optimization, optimizations)

	def test_getWithState(self):
		for opti in App.repos.optimizationRepo.getAll():
			print(opti.id, opti.state)
			App.repos.optimizationRepo.setState(opti.id, toState=OptimizationState.COMPLETED)
		print("=====================")
		for opti in App.repos.optimizationRepo.getAll():
			print(opti.id, opti.state)


	def test_updateFirst(self):
		opti = App.repos.optimizationRepo.updateFirst(fromState=OptimizationState.CREATED, toState=OptimizationState.ACTIVE)
		print(opti)

	def test_getLatest(self):
		opt = App.repos.optimizationRepo.getLatestConfirmedByPosta(posta = 9710)
		print(opt)
